<?php

namespace App\Bot;

use App\Pricing\Pricing;

class Keyboard
{
    private $keyboard = [];
    private $inlineKeyboard = [];

    public function __construct($resize_keyboard = true, $one_time_keyboard = true)
    {
        $this->keyboard =
        [
            'keyboard' => [],
            'resize_keyboard' => $resize_keyboard,
            'one_time_keyboard' => $one_time_keyboard
        ];
    }

    public function addButton($text, $row = 0)
    {
        if (!isset($this->keyboard['keyboard'][$row]))
        {
            $this->keyboard['keyboard'][$row] = [];
        }
        $this->keyboard['keyboard'][$row][] = ['text' => $text];
    }

    public function getKeyboard()
    {
        return json_encode($this->keyboard);
    }


    public function addInlineButton($text, $callbackData = null, $url = null, $row = 0)
    {
        if (!isset($this->inlineKeyboard[$row]))
        {
            $this->inlineKeyboard[$row] = [];
        }

        $button = ['text' => $text];

        if ($url !== null)
        {
            $button['url'] = $url;
        }
        elseif ($callbackData !== null)
        {
            $button['callback_data'] = $callbackData;
        }

        $this->inlineKeyboard[$row][] = $button;
    }

    public function getInlineKeyboard()
    {
        return json_encode(['inline_keyboard' => $this->inlineKeyboard], JSON_UNESCAPED_UNICODE);
    }

    public function clearInlineButtons()
    {
        $this->inlineKeyboard = [];
    }
    public function subscribtion_keyboard(Pricing $pricingInstance)
    {
        $options = $pricingInstance->getSubscriptionOptions();
        $counter = 0;
        foreach ($options as $option)
        {
            $this->addInlineButton($option['text'], $option['callback_data'], null, $counter);
            $counter++;
        }
        $this->addInlineButton('ارتباط با پشتیبانی', null, 'https://t.me/asus1900', 3);

        return $inlineKeyboard = $this->getInlineKeyboard();
    }

    public function admin_main_menu_keyboard()
    {
        $this->addInlineButton("💻 پنل",null,"https://customers.ahpbot.com/virtualNumber/App/Panel/index.php", 0);
        $this->addInlineButton("🚫 مسدود کردن کاربر", "blockBtn", null, 1);
        $this->addInlineButton("🆓 آزاد کردن کاربر", "unblockBtn", null, 1);
        $this->addInlineButton("📧 ارسال پیام خصوصی", "dmBtn", null, 2);
        $this->addInlineButton("👥📧 ارسال پیام گروهی", "groupDmBtn", null, 2);
        $this->addInlineButton("➕ افزایش موجودی", "adminChargingWallet", null, 3);
        $this->addInlineButton("➖ کاهش موجودی", "decreaseChargeWalletBtn", null, 3);
        $this->addInlineButton("ℹ نمایش اطلاعات کاربر", "showUserInfoBtn", null, 4);
        $this->addInlineButton("💳 تنظیم شماره حساب", "bankCardBtn", null, 5);
        $this->addInlineButton("📴 احراز هویت با شماره موبایل", "phoneNumberReuiredBtn", null, 6);
        $this->addInlineButton("👍👎 تایید ادمین برای احراز هویت", "userApprovmentByAdminBtn", null, 7);
        $this->addInlineButton("🤖 حالت به روزرسانی ربات", "botIsUpdatingdBtn", null, 8);
        return $mainMenuKeyboard = $this->getInlineKeyboard();
    }
}
