<?php

namespace App\Panel\Db;

class Db
{
    private const HOST = 'localhost';
    private const USERNAME = 'vsbqwsqo_Mtn';
    private const PASSWORD = '5,Sk%WX4n;tp';
    private const DBNAME = 'vsbqwsqo_virtualnumber';

    private $pdo;

    public function __construct()
    {
        try {
            $dsn = "mysql:host=" . self::HOST . ";dbname=" . self::DBNAME;
            $this->pdo = new \PDO($dsn, self::USERNAME, self::PASSWORD);
            $this->pdo->setAttribute(\PDO::ATTR_ERRMODE, \PDO::ERRMODE_EXCEPTION);
        } catch (\PDOException $e) {
            die("Connection failed: " . $e->getMessage());
        }
    }

    public function getConnection()
    {
        return $this->pdo;
    }

    public function login(string $username, string $password): bool
    {
        $sql = "SELECT password FROM panel WHERE username = :username";
        $stmt = $this->pdo->prepare($sql);
        $stmt->bindParam(':username', $username);
        $stmt->execute();

        $storedHashedPassword = $stmt->fetchColumn();

        if ($storedHashedPassword)
        {
            if (password_verify($password, $storedHashedPassword))
            {
                return true;
            }
        }

        return false;
    }

    public function get_all_users() : ?array
    {
        $stmt = $this->pdo->prepare("SELECT * FROM users");
        $stmt->execute();
        return $users = $stmt->fetchAll(\PDO::FETCH_ASSOC);
    }

    public function get_orders() : ?array
    {
        $stmt = $this->pdo->prepare("SELECT * FROM user_purchases");
        $stmt->execute();
        return $orders = $stmt->fetchAll(\PDO::FETCH_ASSOC);
    }

    public function get_transactions() : ?array
    {
        $stmt = $this->pdo->prepare("SELECT * FROM transactions");
        $stmt->execute();
        return $transactions = $stmt->fetchAll(\PDO::FETCH_ASSOC);
    }


    public function get_user_ids()
    {
        $stmt = $this->pdo->prepare("SELECT chat_id FROM users");
        $stmt->execute();

        return $result = $stmt->fetchAll(\PDO::FETCH_ASSOC);
    }

    public function set_profit(float $profit) : void
    {
        $stmt = $this->pdo->prepare("UPDATE price SET profit = :profit WHERE id = :id");
        $stmt->execute([
            'profit' => $profit,
            'id' => 1
        ]);
    }

    public function get_profit() : float
    {
        $stmt = $this->pdo->prepare("SELECT profit FROM price WHERE id = :id");
        $stmt->execute(['id' => 1]);
        return $stmt->fetchColumn();
    }
}