<?php

use App\Db\Db;
use App\Db\Payment;
use App\Pay\PaymentRequest;
use App\Pay\RedirectToGateway;

include_once __DIR__ . '/../../const.php';

$paymentRequestInstance = new PaymentRequest();
$redirectToGatewayInstance = new RedirectToGateway();
$dbInstance = new Db(HOST, USERNAME, PASSWORD, DBNAME);
$pdo = $dbInstance->getConnection();
$paymentInstance = new Payment($pdo);

# Getting user pay data
$payData = $paymentInstance->get_pay_data($_GET['chatId']);

if ($payData)
{
    $amount = $payData['amount'];
    $transactionId = $payData['id']; # Transaction id

    $authority = $paymentRequestInstance->requestPayment((float)$amount, 'تلگرام پرمیوم');
    if ($authority) 
    {
        $paymentInstance->add_authority($authority, $transactionId);
        $redirectToGatewayInstance->redirectToGateway($authority);
    }
    else
    {
        $paymentInstance->update_status('failed', $transactionId);
        $address = 'InvalidRequest.php';
        header("Location: $address");
        exit;
    }
}
else
{
    // Handle case when no payment data found
    $address = 'InvalidRequest.php';
    header("Location: $address");
    exit;
}
