<?php

use App\Db\Db;
use App\Db\Payment;

include_once __DIR__ . '/../../const.php';

$dbInstance = new Db(HOST, USERNAME, PASSWORD, DBNAME);
$pdo = $dbInstance->getConnection();
$paymentInstance = new Payment($pdo);
$ref_id = $paymentInstance->get_ref_id($_GET['Authority']);
?>
<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>پرداخت موفقیت‌آمیز</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
            text-align: center;
        }
        .container {
            max-width: 600px;
            margin: 20px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            color: #4CAF50;
            margin-bottom: 20px;
        }
        p {
            font-size: 18px;
            color: #333;
            margin-bottom: 20px;
        }
        .ref-id {
            font-size: 20px;
            color: #555;
            background-color: #e0e0e0;
            padding: 10px;
            border-radius: 5px;
            display: inline-block;
        }
        img {
            max-width: 100%;
            height: auto;
            margin: 20px 0;
        }
        .container button {
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 5px;
            padding: 10px 20px;
            cursor: pointer;
            font-size: 16px;
            transition: background-color 0.3s;
        }
        .container button:hover {
            background-color: #0056b3;
        }

        @media (max-width: 600px) {
            .container button {
                font-size: 14px;
                padding: 8px 16px;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>پرداخت شما موفقیت‌آمیز بود</h1>
        <img src="../Assets/img/success.png" alt="پرداخت موفقیت‌آمیز">
        <p>کد پرداختی شما</p>
        <div class="ref-id">
            <?php echo $ref_id['ref_id']; ?>
        </div>
        <br>
        <p>شماره سفارش شما</p>
        <div class="ref-id">
            <?php echo $ref_id['id']; ?>
        </div>
        <br>
        <a href="https://t.me/Matingg_bot">
            <button>بازگشت به ربات</button>
        </a>
    </div>
</body>
</html>
