<?php

use App\Bot\Bot;
use App\Db\Db;
use App\Db\Payment;
use App\Pay\VerifyPayment;

include_once __DIR__ . '/../../const.php';

$botInstance = new Bot();
$verifyPaymentInstance = new VerifyPayment();
$dbInstance = new Db(HOST, USERNAME, PASSWORD, DBNAME);
$pdo = $dbInstance->getConnection();
$paymentInstance = new Payment($pdo);
$status = $_GET['Status'];

$payData = $paymentInstance->get_pay_data_by_authority($_GET['Authority']);

if ($payData)
{
    $transactionId = $payData['id']; # Transaction id
    $amount = $payData['amount'];
    $user_id = $payData['user_id']; 
}
$authority = $paymentInstance->get_authority($user_id);

if ($status == 'NOK')
{
    $paymentInstance->update_status('failed', $transactionId);
    $botInstance->sendMessage($user_id, 'تراکنش ناموفق بود و یا توسط کاربر لغو شد.');
    header("Location: https://t.me/Matingg_bot");
    exit();
}
elseif($status == 'OK')
{
    $result = $verifyPaymentInstance->verifyPayment((float)$amount, $_GET['Authority']);

    if ($result['success'])
    {
        $refId = $result['data']['ref_id'] ?? null;
        if ($refId !== null)
        {
            $paymentInstance->update_ref_id($refId, $_GET['Authority']);
        }
        else
        {
            echo 'Error: ref_id not found in the response.';
            exit;
        }

        $paymentInstance->update_status('paid', $transactionId);
        $transactionCode = $paymentInstance->get_successful_transaction_id($_GET['Authority']);
        $paymentInstance->registerOrder($transactionCode['id']);

        $ref = $paymentInstance->get_ref_id($_GET['Authority']);
        $ref_id = $ref['ref_id'];
        //$botInstance->sendMessage($user_id,"پرداخت شما با موفقیت انجام شد.\n\nکد پرداختی شما: $ref_id\n\nکد سفارش شما:{$transactionCode['id']}");
        $text = "کاربر گرامی؛پرداخت شما با موفقیت انجام شد و در مرحله اجرا قرار گرفت.";
        $botInstance->sendMessage($user_id,$text);

        $queryString = http_build_query(['Authority' => $_GET['Authority']]);
        $address = 'SucccessfulPay.php?' . $queryString;
        header("Location: $address");
        exit;
    }
    else
    {
        echo 'Error: ' . $result['error'];
        exit;
    }
}
else
{
    $botInstance->sendMessage($user_id, 'درخواست نامعتبر.');
}