<?php
session_start();

use App\Panel\Db\Db;

include_once 'Db/Db.php';

$loginError = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['username']) && !empty($_POST['username']) &&
        isset($_POST['password']) && !empty($_POST['password'])) {

        $username = $_POST['username'];
        $password = $_POST['password'];

        $db = new Db();

        if ($db->login($username, $password)) {
            $_SESSION['logged_in'] = true;
            $_SESSION['username'] = $username;
            header('Location: index.php');
            exit;
        } else {
            $loginError = 'نام کاربری یا رمز عبور اشتباه است.';
        }
    } else {
        $loginError = 'لطفاً نام کاربری و رمز عبور را وارد کنید.';
    }
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>فرم لاگین</title>
    <link rel="stylesheet" href="../Assets/style/login.css">
</head>
<body>
    <div class="login-container">
        <div class="logo">
            <img src="../Assets/img/logo/logo.png" alt="لوگو شرکت">
        </div>

        <?php if ($loginError): ?>
            <div class="login-error"><?= htmlspecialchars($loginError) ?></div>
        <?php endif; ?>

        <form class="login-form" action="" method="POST">
            <label for="username">نام کاربری</label>
            <input type="text" id="username" name="username" required>
            
            <label for="password">رمز عبور</label>
            <input type="password" id="password" name="password" required>
            
            <button type="submit">ورود</button>
        </form>
        <div class="footer">طراحی شده توسط تیم AHP Bot</div>
    </div>
</body>
</html>
