<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ارسال پیام تلگرام</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f3f3f3;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            direction: rtl;
        }

        .container {
            background-color: #fff;
            padding: 25px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            width: 100%;
            margin: 20px;
        }

        h2 {
            text-align: center;
            color: #333;
            margin-bottom: 20px;
        }

        .form-group {
            margin-bottom: 20px;
        }

        label {
            display: block;
            margin-bottom: 10px;
            color: #555;
            font-size: 14px;
        }

        input[type="text"],
        textarea {
            width: 100%;
            padding: 12px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 14px;
            box-sizing: border-box;
        }

        textarea {
            resize: vertical;
            height: 120px;
        }

        button {
            width: 100%;
            padding: 12px;
            background-color: #007bff;
            color: #fff;
            border: none;
            border-radius: 5px;
            font-size: 16px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            margin-top: 10px;
        }

        button:hover {
            background-color: #0056b3;
        }

        .back-button {
            background-color: #6c757d;
            margin-top: 15px;
        }

        .back-button:hover {
            background-color: #5a6268;
        }
    </style>
</head>
<body>
    <div class="container">
        <h2>ارسال پیام تلگرام</h2>
        <div class="form-group">
            <label for="chat_id"><h3>شناسه کاربر:</h3></label>
            <input type="text" id="chat_id" placeholder="شناسه کاربر را وارد کنید.">
        </div>
        <div class="form-group">
            <label for="message"><h3>متن پیام:</h3></label>
            <textarea id="message" placeholder="متن پیام را وارد کنید"></textarea>
        </div>
        <button onclick="sendMessage()">ارسال پیام</button>
        <button class="back-button" onclick="window.location.href='index.php'">بازگشت به صفحه اصلی</button>
    </div>

    <script>
        function sendMessage() {
            const chatId = document.getElementById('chat_id').value;
            const message = document.getElementById('message').value;

            if (chatId && message) {
                const telegramUrl = `https://api.telegram.org/bot7170107712:AAFl8GZNaRE4QirSHgNqAhjlKa3HwZ5meUM/sendMessage?chat_id=${chatId}&text=${encodeURIComponent(message)}`;

                fetch(telegramUrl)
                    .then(response => response.json())
                    .then(data => {
                        if (data.ok) {
                            alert('پیام با موفقیت ارسال شد!');
                        } else {
                            alert('مشکلی در ارسال پیام وجود دارد.');
                        }
                    })
                    .catch(error => {
                        alert('خطا در ارتباط با سرور!');
                        console.error('Error:', error);
                    });
            } else {
                alert('لطفاً آیدی چت و پیام را وارد کنید.');
            }
        }
    </script>
</body>
</html>
