<?php
session_start();

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../Assets/style/users.css">
    <title>سفارشات</title>
</head>
<body>

<div class="container">
    <a href="index.php" class="back-button">
        <img src="../Assets/img/back.png" alt="بازگشت">
    </a>

    <h2>لیست سفارشات</h2>

    <div class="card-container">
        <?php
        use App\Panel\Db\Db;

        include_once 'Db/Db.php';
        $db = new Db();

        $orders = $db->get_orders();

        foreach ($orders as $order)
        {
            if($order['status'] == "used")
            {
                $order['status'] = "استفاده شده";
            }
            elseif($order['status'] == "canceled")
            {
                $order['status'] = "لغو شده";
            }
            elseif($order['status'] == "expired")
            {
                $order['status'] = "منقضی شده";
            }
            elseif($order['status'] == "wating_for_sms")
            {
                $order['status'] = "در انتظار پیامک";
            }
            elseif($order['status'] == "refunded")
            {
                $order['status'] = "برگشت داده شده";
            }
            elseif($order['status'] == "error")
            {
                $order['status'] = "خطا";
            }
            echo "<div class='card'>
                    <h3>شناسه کاربر: {$order['user_id']}</h3>
                    <p><strong>شماره خریداری شده:</strong> {$order['number']}</p>
                    <p><strong>کد سفارش:</strong> {$order['order_id']}</p>
                    <p><strong>کشور:</strong> {$order['country']}</p>
                    <p><strong>سرویس:</strong> {$order['service']}</p>
                    <p><strong>پنل:</strong> {$order['pool']}</p>
                    <p><strong>قیمت به دلار:</strong> {$order['cost']}</p>
                    <p><strong>قیمت به تومان:</strong> {$order['price_in_toman']}</p>
                    <p><strong>وضعیت سفارش:</strong> {$order['status']}</p>
                    <p><strong>تاریخ:</strong> {$order['created_at']}</p>
                    
                    </div>
                  </div>";
        }
        ?>
    </div>
</div>
<!-- <a href='https://t.me/{$order['username']}' class='button' target='_blank'>پیام به کاربر</a> -->

</body>
</html>
