<?php
session_start();

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../Assets/style/users.css">
    <title>تراکنش های کیف پول</title>
</head>
<body>

<div class="container">
    <a href="index.php" class="back-button">
        <img src="../Assets/img/back.png" alt="بازگشت">
    </a>

    <h2>لیست تراکنش ها</h2>

    <div class="card-container">
        <?php
        use App\Panel\Db\Db;

        include_once 'Db/Db.php';
        $db = new Db();

        $transactions = $db->get_transactions();

        foreach ($transactions as $transaction)
        {
            if($transaction['status'] == "pending")
            {
                $transaction['status'] = "در انتظار تایید";
            }
            elseif($transaction['status'] == "approved")
            {
                $transaction['status'] = "تایید شده";
            }
            elseif($transaction['status'] == "rejected")
            {
                $transaction['status'] = "رد شده";
            }
            elseif($transaction['status'] == "rejected_by_user")
            {
                $transaction['status'] = "رد شده توسط کاربر";
            }
            echo "<div class='card'>
                    <h3>شناسه کاربر: {$transaction['user_id']}</h3>
                    <p><strong>مقدار واریزی:</strong> {$transaction['amount']}</p>
                    <p><strong>وضعیت:</strong> {$transaction['status']}</p>
                    <p><strong>تاریخ:</strong> {$transaction['created_at']}</p>
                  </div>";
        }
        ?>
    </div>
</div>
<!-- <a href='https://t.me/{$order['username']}' class='button' target='_blank'>پیام به کاربر</a> -->

</body>
</html>
