<?php

namespace App\Pay;

class PaymentRequest
{
    private $merchantId;
    private $callbackUrl;
    private $url;

    public function __construct()
    {
        $this->merchantId = 'ea1e96f2-3fbe-11e6-b6c1-000c295eb8fc';
        $this->callbackUrl = 'https://customers.ahpbot.com/tgPremium/App/Panel/Verify.php';
        $this->url = 'https://api.zarinpal.com/pg/v4/payment/request.json';
    }

    public function requestPayment($amount, $description)
    {
        $data =
        [
            'merchant_id' => $this->merchantId,
            'amount' => $amount,
            'callback_url' => $this->callbackUrl,
            'description' => $description,
        ];

        $ch = curl_init($this->url);

        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, [
            'accept: application/json',
            'content-type: application/json',
        ]);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);

        $response = curl_exec($ch);
        curl_close($ch);

        if (curl_errno($ch))
        {
            echo 'Error:' . curl_error($ch);
        }
        else
        {
            $result = json_decode($response, true);
            if (isset($result['data']) && isset($result['data']['code']) && $result['data']['code'] == 100)
            {
                // Successful payment - returning authority
                return $result['data']['authority'];
            }
            else
            {
                return false;
            }
        }
    }
}