<?php

namespace App\Pricing;

use App\Panel\Db\Db;

class Pricing
{
    private $subscriptionsUsd;
    private $db;

    public function __construct()
    {
        $this->db = new Db();
        $this->subscriptionsUsd = $this->fetchSubscriptionsUsd();
    }

    private function fetchSubscriptionsUsd() : array
    {
        $prices = $this->db->get_premium_prices();

        if ($prices)
        {
            return [
                'سه ماهه' => $prices['month_3'] / 10,
                'شش ماهه' => $prices['month_6'] / 10,
                'یک ساله' => $prices['month_12'] / 10
            ];
        }

        return [
            'سه ماهه' => 0.00,
            'شش ماهه' => 0.00,
            'یک ساله' => 0.00
        ];
    }

    public function getSubscriptionOptions() : array
    {
        $options = [];
        foreach ($this->subscriptionsUsd as $sub => $price)
        {
            $formattedPrice = number_format($price, 2, '.', ',');
            $buttonText = "$sub - $formattedPrice تومان";
            $options[] = ['text' => $buttonText, 'callback_data' => $sub];
        }
        return $options;
    }
}
