<?php

namespace App\SmsPool;

class BuyNumber
{
    private $token;

    public function __construct(SmsPool $smsPool)
    {
        $this->token = $smsPool->getToken();
    }

    public function buy_number(string $country, string $service, int $pool)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://api.smspool.net/purchase/sms',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => http_build_query(array(
            'country' => $country,
            'service' => $service,
            'pool' => $pool
        )),
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/x-www-form-urlencoded',
            'Authorization: Bearer ' . $this->token
        ),
    ));

        $response = curl_exec($curl);

        curl_close($curl);
        
        return json_decode($response,true);
    }
}