<?php

namespace App\SmsPool;

class CountryPrice
{
    private $token;

    public function __construct(SmsPool $smsPool)
    {
        $this->token = $smsPool->getToken();
    }

    public function get_selected_country_details(string $countryName, string $serviceName)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://api.smspool.net/request/price',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS => http_build_query(array(
                'country' => $countryName,
                'service' => $serviceName
            )),
            CURLOPT_HTTPHEADER => array(
                'Content-Type: application/x-www-form-urlencoded',
                'Authorization: Bearer ' . $this->token
            ),
        ));
        
        $response = curl_exec($curl);
        
        if (curl_errno($curl)) {
            $error_message = 'Curl error: ' . curl_error($curl);
            
        }
        else
        {
            var_dump($response);
        }
        
        curl_close($curl);
        return json_decode($response, true);
    }

    public function get_prices(string $countryName, string $serviceName, array $pool)
    {
        $countryDetails = [];
        
        for ($i = 0; $i < count($pool); $i++)
        {
            $curl = curl_init();

            curl_setopt_array($curl, array(
                CURLOPT_URL => 'https://api.smspool.net/request/price',
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => '',
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 0,
                CURLOPT_FOLLOWLOCATION => true,
                CURLOPT_CUSTOMREQUEST => 'POST',
                CURLOPT_POSTFIELDS => http_build_query(array(
                    'country' => $countryName,
                    'service' => $serviceName,
                    'pool' => $pool[$i]
                )),
                CURLOPT_HTTPHEADER => array(
                    'Content-Type: application/x-www-form-urlencoded',
                    'Authorization: Bearer ' . $this->token
                ),
            ));
        
            $response = curl_exec($curl);
            curl_close($curl);
            
            $decodedResponse = json_decode($response, true);
            
            if (!isset($decodedResponse['success']) || $decodedResponse['success'] != 0)
            {
                $countryDetails[] = $decodedResponse;
            }
        }
        
        return $countryDetails;
    }
}